Inhalte
Index 🔎︎

# Funktion Mid und Anweisung Mid

Gibt den angegebenen Teil eines Zeichenkettenausdrucks zurück (Funktion Mid) oder ersetzt ihn durch eine andere Zeichenkette (Anweisung Mid).

### Syntax:

    Mid (Text As String, Anfang As Integer [, Länge As Integer]) oder Mid (Text As String, Anfang As Integer , Länge As Integer, Text As String)

### Rückgabewert:

String (nur bei Funktion)

### Parameter:

Text: Ein beliebiger zu bearbeitender Zeichenkettenausdruck.

Start: Numeric expression that indicates the character position within the string where the string portion that you want to replace or to return begins. The minimum allowed value is 1. The maximum allowed value is 2,147,483,648.

Length: Numeric expression that returns the number of characters that you want to replace or return. The maximum allowed value is 2,147,483,648.

Entfällt bei der Funktion Mid die Angabe zu Länge, werden alle Zeichen ab der angegebenen Position bis zum letzten Zeichen der Zeichenkette ermittelt.

Ist der Längenparameter der Anweisung Mid kleiner als die Länge des zu ersetzenden Textes, so wird der Text auf die angegebene Länge gekürzt.

Text: Die Zeichenkette, durch die der Zeichenkettenabschnitt ersetzt werden soll (Anweisung Mid).

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Geben Sie bitte ein Datum im englischen Format MM-DD-YYYY ein")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Verwandte Themen

Zeichenketten-Funktionen